export type Options = {
    strict?: boolean;
};
/**
 * Validate that the input string is valid.
 *
 * @param value
 * @returns true if ORCID is valid
 */
export declare function validate(value?: string | null, opts?: Options): boolean;
/**
 * Normalize an input string to the ID part of an ORCID
 *
 * @param value
 * @returns a string if it is valid of the form 0000-0002-7859-8394
 */
export declare function normalize(value?: string | null, opts?: Options): string | undefined;
/**
 * Builds a canonical URL pointing to https://orcid.org
 *
 * @param value
 * @returns the orcid as a url
 */
export declare function buildUrl(value?: string | null, opts?: Options): string | undefined;
declare const _default: {
    validate: typeof validate;
    normalize: typeof normalize;
    buildUrl: typeof buildUrl;
};
export default _default;
//# sourceMappingURL=index.d.ts.map